summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrun-tests.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/run-tests.sh b/run-tests.sh
index 06fec4aa093..2a819dba656 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -228,6 +228,7 @@ function main_and_retry()
{
RESFILE=`mktemp /tmp/${0##*/}.XXXXXX` || exit 1
main "$@" | tee ${RESFILE}
+ RET=$?
FAILED=$( awk '/Failed: /{print $1}' ${RESFILE} )
if [ "x${FAILED}" != "x" ] ; then
@@ -239,9 +240,11 @@ function main_and_retry()
echo " *********************************"
echo ""
main ${FAILED}
+ RET=$?
fi
rm -f ${RESFILE}
+ return ${RET}
}
echo